rte_flow_item_icmp6_nd_opt_sla_eth(3)

NAME
rte_flow_item_icmp6_nd_opt_sla_eth

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint8_t type
uint8_t length
struct rte_ether_addr sla

Detailed Description

RTE_FLOW_ITEM_TYPE_ICMP6_ND_OPT_SLA_ETH

Matches an ICMPv6 neighbor discovery source Ethernet link-layer address option.

Normally preceded by any of:

•   RTE_FLOW_ITEM_TYPE_ICMP6_ND_NA

•   RTE_FLOW_ITEM_TYPE_ICMP6_ND_OPT

Definition at line 1572 of file rte_flow.h.

Field Documentation

  uint8_t type
ND option type, normally 1.

Definition at line 1573 of file rte_flow.h.

  uint8_t length
ND option length, normally 1.

Definition at line 1574 of file rte_flow.h.

  struct rte_ether_addr sla
Source Ethernet LLA.

Definition at line 1575 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.